!
!++++++++++++++++++++++++++++  ARDOCM    ++++++++++++++++++++++++++++
!
!   DECLARATIVE & FORMAT STATEMENTS FOR FILE: MLARDOCM TYPE: K
!
!   AR DOCUMENT MASTER FILE FORMAT                     REC SIZE:  700
!                                                      KEY SIZE:   7
!       KEY DESCRIPTION: OEINV$   KEY1(SHIPDT) 8,476  KEY2(ORDER): 7,356
!
!   #FILES NAME: AR.DOC.MASTER                         DATE: 10/29/13
!
!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!
!   VARIABLE DECLARATIONS
!
     LENGTH   5.2 & LOCAL  OECOMM1,OECOMM2,OECOMM3
     LENGTH   6.0 & LOCAL  TCTN,TSKID
     LENGTH   8.2 & LOCAL  OEDAMT,OEFRT,OEMISC
     LENGTH   9.2 & LOCAL  DOLHLD,DOLREL,DOLSHIP,TWHT
     LENGTH  10.2 & LOCAL  OEDEPST,OETAX
     LENGTH  13.3 & LOCAL  OEAMT(02)
     LENGTH     1 & LOCAL  OEACKPR$,OECPFLAG$,OEFLAG$(02),OELOTPR$,OEMKB$
     LENGTH     1 & LOCAL  OEPRCD$
     LENGTH     2 & LOCAL  OETYPE$
     LENGTH     3 & LOCAL  OEBY$,OECHGBY$,OEENTBY$,OESTAT$
     LENGTH     4 & LOCAL  OEDISC$,OEFOB$,OEMPOM$,OEPRD$,OESVIA$,OETRM$
     LENGTH     4 & LOCAL  OETX$
     LENGTH     5 & LOCAL  OEPVS$
     LENGTH     6 & LOCAL  OEEXTR$(01),OEJOB$,OESLM1$,OESLM2$,OESLM3$
     LENGTH     7 & LOCAL  OEINVNO$,OENUM$
     LENGTH     8 & LOCAL  DACTSHP$,OEBILL$,OEDAT$,OEDUDT$,OENBDT$,OESHIP$
     LENGTH    10 & LOCAL  CARRIER$,OEDTCHG$,OEDTENT$,OEINVDT$,OEZIP$,SHPRNO$
     LENGTH    12 & LOCAL  DOCMFILL$
     LENGTH    15 & LOCAL  OEABLORD$,OEORCORD$,OEPONUM$,OESCITY$
     LENGTH    20 & LOCAL  OEPHONE$,OEPRO$
     LENGTH    25 & LOCAL  OESADR1$,OESADR2$,OESADR3$,OESCNTRY$
     LENGTH    30 & LOCAL  OESNAM$
     LENGTH    35 & LOCAL  OEJNAM$
     LENGTH    50 & LOCAL  OEEMAIL$
!
!  RECORD FORMAT                FIELD DESCRIPTIONS        TYPE   LENGTH  POS
!
23 FORMAT _
         OEINVNO$;_         ! INVOICE NO                   S        7       0
         OETYPE$;_          ! ORDR TYPE                    S        2       7
         OEDAT$;_           ! ORDER.DATE                   S        8       9
         OESHIP$;_          ! SHIP TO CUST #               S        8      17
         OESNAM$;_          ! SHIP TO CUST NAME            S       30      25
         OESADR1$;_         ! SHIP TO ADDRESS 1            S       25      55
         OESADR2$;_         ! SHIP TO ADDRESS 2            S       25      80
         OESADR3$;_         ! SHIP TO ADDRESS 3            S       25     105
         OESCITY$;_         ! SHIP CITY                    S       15     130
         OESTAT$;_          ! SHIP ST                      S        3     145
         OEZIP$;_           ! SHIP ZIP                     S       10     148
         OESCNTRY$;_        ! SHIP TO COUNTRY              S       25     158
         OEBILL$;_          ! BILL TO CUST #               S        8     183
         OEPONUM$;_         ! PO #                         S       15     191
         OESVIA$;_          ! SHIP VIA                     S        4     206
         OEFOB$;_           ! FOB                          S        4     210
         OETRM$;_           ! TERMS                        S        4     214
         OETX$;_            ! TAX                          S        4     218
         OESLM1$;_          ! SALESMN ID-1                 S        6     222
         OECOMM1;_          ! SALESMN COMMISS-1            N      5.2     228
         OESLM2$;_          ! SALESMN ID-2                 S        6     235
         OECOMM2;_          ! SALESMN COMMISS-2            N      5.2     241
         OEDISC$;_          ! DISC ID                      S        4     248
         OELOTPR$;_         ! LOT PRC FLG                  S        1     252
         OEACKPR$;_         ! ACK PRT FLG                  S        1     253
         OESLM3$;_          ! SLSMN 3                      S        6     254
         OECOMM3;_          ! COMM 3                       N      5.2     260
         OEJNAM$;_          ! JOB NAME                     S       35     267
         OEDAMT;_           ! DISCOUNT AMOUNT              N      8.2     302
         OETAX;_            ! TAX AMOUNT                   N     10.2     312
         OEFRT;_            ! FREIGHT AMOUNT               N      8.2     324
         OEMISC;_           ! MISC AMOUNT                  N      8.2     334
         OEDEPST;_          ! DEPOSIT AMOUNT               N     10.2     344
         OENUM$;_           ! ORDER #                      S        7     356
         OEINVDT$;_         ! INVOICE DATE                 S       10     363
         OEDUDT$;_          ! DUE DATE                     S        8     373
         OEPRD$;_           ! PERIOD POST                  S        4     381
         OEBY$;_            ! ENT BY                       S        3     385
         OEEXTR$(01);_      ! EXTRA ID 1                   S        6     388
         OECPFLAG$;_        ! CMP PAR                      S        1     394
         OEFLAG$(01);_      ! EXTRA FLG 1                  S        1     395
         OEFLAG$(02);_      ! EXTRA FLG 2                  S        1     396
         OEAMT(01);_        ! EXTRA AMT 1                  N     13.3     397
         OEAMT(02);_        ! EXTRA AMT 2                  N     13.3     412
         OEJOB$;_           ! JOB CODE                     S        6     427
         DOLHLD;_           ! DOLLARS ON HOLD              N      9.2     433
         DOLREL;_           ! DOLLARS RELEASED             N      9.2     444
         DOLSHIP;_          ! DOLLARS SHIPPED              N      9.2     455
         SHPRNO$;_          ! SHIPPER #                    S       10     466
         DACTSHP$;_         ! DATE ACTUAL SHIP             S        8     476
         OEPVS$;_           ! PVS CODE                     S        5     484
         OEABLORD$;_        ! ABL ORDER NUMBER             S       15     489
         OEORCORD$;_        ! ORACLE ORDER NUMBER          S       15     504
         OEMPOM$;_          ! DEFLT POM                    S        4     519
         OENBDT$;_          ! NOT BEFORE DATE              S        8     523
         OEPRCD$;_          ! PRI CDE                      S        1     531
         OEMKB$;_           ! ALL KB                       S        1     532
         OEPHONE$;_         ! SHIP TO PHONE                S       20     533
         CARRIER$;_         ! CARRIER                      S       10     553
         TWHT;_             ! TOTAL WEIGHT                 N      9.2     563
         TSKID;_            ! TOTAL SKIDS                  N      6.0     574
         TCTN;_             ! TOTAL CARTONS                N      6.0     582
         OEPRO$;_           ! SHIPPER NUMBER               S       20     590
         OEEMAIL$;_         ! ORDER EMAIL                  S       50     610
         OEDTENT$;_         ! DATE ENTERED                 S       10     660
         OEENTBY$;_         ! ENT BY                       S        3     670
         OEDTCHG$;_         ! DATE CHANGED                 S       10     673
         OECHGBY$;_         ! CHG BY                       S        3     683
         DOCMFILL$;_        ! FILLER                       S       12     686
         "@0D0A@"           ! CR/LF                        S        2     698
!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
NXT23: FORMAT _
         OEINVNO$;_           ! ORDER NUMBER                 S        7       0
         OETYPE$;_          ! ORDER TYPE                   S        2       7
         OESHIP$,@(17);_    ! SHIP TO CUST NO              S        8      17
         OESNAM$;_          ! SHIP TO NAME                 S       30      25
         OESADR1$;_         ! SHIP TO ADDRESS 1            S       25      55
         OESADR2$;_         ! SHIP TO ADDRESS 2            S       25      80
         OESADR3$;_         ! SHIP TO ADDRESS 3            S       25     105
         OESCITY$;_         ! SHIP TO CITY                 S       15     130
         OESTAT$;_          ! ST                           S        3     145
         OEZIP$;_           ! SHIP TO ZIP CODE             S       10     148
         OESCNTRY$;_        ! SHIP TO COUNTRY              S       25     158
         OEBILL$;_          ! BILL TO CUST NO              S        8     183
         OEPONUM$;_         ! CUST PO NUMBER               S       15     191
         OESVIA$;_          ! SHIP VIA                     S        4     206
         OEFOB$;_           ! FOB ID                       S        4     210
         OETRM$;_           ! TERMS ID                     S        4     214
         OETX$;_            ! TAX ID                       S        4     218
         OESLM1$;_          ! SLSM 1 CODE                  S        6     222
         OECOMM1;_          ! SLS 1 COMM %                 N      5.2     228
         OESLM2$;_          ! SLS 2 CODE                   S        6     235
         OECOMM2;_          ! SLS 2 COMM %                 N      5.2     241
         OEDISC$;_          ! DISC ID                      S        4     248
         OELOTPR$;_         ! LOT PRICE                    S        1     252
         OESLM3$,@(254);_   ! SLS 3 CODE                   S        6     254
         OECOMM3;_          ! SLS 3 COMM %                 N      5.2     260
         OEJNAM$;_          ! JOB NAME                     S       35     267
         OENUM$,@(356);_    ! ORDER #                      S        7     306
         OEJOB$,@(427);_    ! JOB NO                       S        6     427
         OEPVS$,@(484);_    ! PVS CODE                     S        5     484
         OEPHONE$,@(533);_  ! SHIP TO PHONE                S       20     533
         OEEMAIL$,@(610)    ! ORDER EMAIL                  S       50     610
!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
