!
!++++++++++++++++++++++++++++  QOEMAST   ++++++++++++++++++++++++++++
!
!   DECLARATIVE & FORMAT STATEMENTS FOR FILE: ZZOEMAST TYPE: K
!
!   ORDER ENTRY MASTER FILE FORMAT                     REC SIZE: 478
!                                                      KEY SIZE:  6
!       KEY DESCRIPTION: OENUM$
!
!   #FILES NAME: ORDR.ENTRY.MAST                       DATE: 06/04/12
!
!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!
!   VARIABLE DECLARATIONS
!
     LENGTH   5.2 & LOCAL  OECOMM1,OECOMM2,OECOMM3
     LENGTH   8.2 & LOCAL  OEDAMT,OEFRT,OEMISC
     LENGTH   9.2 & LOCAL  DOLHLD,DOLREL,DOLSHIP
     LENGTH  10.2 & LOCAL  OEDEPST,OETAX
     LENGTH  13.3 & LOCAL  OEAMT(02)
     LENGTH     1 & LOCAL  OEACKPR$,OECPFLAG$,OEFLAG$(02),OELOTPR$,OEMKB$
     LENGTH     1 & LOCAL  OEPRCD$
     LENGTH     2 & LOCAL  XOEBY$,XOESTAT$,OETYPE$
     LENGTH     4 & LOCAL  OEDISC$,OEFOB$,OEMPOM$,OEPRD$,OESVIA$,OETRM$
     LENGTH     4 & LOCAL  OETX$
     LENGTH     5 & LOCAL  OEPVS$
     LENGTH     6 & LOCAL  XDACTSHP$,XMSTFILL$,XOEDAT$,XOEDUDT$,OEEXTR$(01)
     LENGTH     6 & LOCAL  XOEINVNO$,OEJOB$,XOENUM$,OESLM1$,OESLM2$,OESLM3$
     LENGTH     8 & LOCAL  OEBILL$,XOEINVDT$,OENBDT$,OESHIP$
     LENGTH     9 & LOCAL  XOEZIP$
     LENGTH    10 & LOCAL  SHPRNO$
     LENGTH    15 & LOCAL  OEABLORD$,OEORCORD$,OEPONUM$,OESCITY$
     LENGTH    25 & LOCAL  OESADR1$,OESADR2$
     LENGTH    30 & LOCAL  OESNAM$
     LENGTH    35 & LOCAL  OEJNAM$
!
!  RECORD FORMAT                FIELD DESCRIPTIONS        TYPE   LENGTH  POS
!
X30: FORMAT _
         XOENUM$;_           ! ORDER NUMBER                 S        6      0
         OETYPE$;_          ! ORDER TYPE                   S        2      6
         XOEDAT$;_           ! ORDER DATE                   S        6      8
         OESHIP$;_          ! SHIP TO CUST NO              S        8     14
         OESNAM$;_          ! SHIP TO NAME                 S       30     22
         OESADR1$;_         ! SHIP TO ADDRESS 1            S       25     52
         OESADR2$;_         ! SHIP TO ADDRESS 2            S       25     77
         OESCITY$;_         ! SHIP TO CITY                 S       15    102
         XOESTAT$;_          ! ST                           S        2    117
         XOEZIP$;_           ! SHIP TO ZIP CODE             S        9    119
         OEBILL$;_          ! BILL TO CUST NO              S        8    128
         OESVIA$;_          ! SHIP VIA                     S        4    136
         OEFOB$;_           ! FOB ID                       S        4    140
         OETRM$;_           ! TERMS ID                     S        4    144
         OETX$;_            ! TAX ID                       S        4    148
         OEPONUM$;_         ! CUST PO NUMBER               S       15    152
         OESLM1$;_          ! SALESMAN 1 ID                S        6    167
         OECOMM1;_          ! SLSMAN 1 COMMISS %           N      5.2    173
         OESLM2$;_          ! SLSMAN 2 ID                  S        6    180
         OECOMM2;_          ! SLSMAN 2 COMMISS %           N      5.2    186
         OEDISC$;_          ! DISC ID                      S        4    193
         OELOTPR$;_         ! LOT PRICE                    S        1    197
         OEACKPR$;_         ! ACK PRINT                    S        1    198
         OESLM3$;_          ! SALESMAN 3 ID                S        6    199
         OECOMM3;_          ! SLSMAN 3 COMMISS %           N      5.2    205
         OEJNAM$;_          ! JOB NAME                     S       35    212
         OEDAMT;_           ! DISCOUNT AMMOUNT             N      8.2    247
         OETAX;_            ! TAX AMMOUNT                  N     10.2    257
         OEFRT;_            ! FREIGHT AMMOUNT              N      8.2    269
         OEMISC;_           ! MISC AMT                     N      8.2    279
         OEDEPST;_          ! DEPOSIT AMMOUNT              N     10.2    289
         XOEINVNO$;_         ! INVOICE NUMBER               S        6    301
         XOEINVDT$;_         ! INVOICE DATE                 S        8    307
         XOEDUDT$;_          ! DUE DATE                     S        6    315
         OEPRD$;_           ! PERD POST                    S        4    321
         XOEBY$;_            ! ORDR BY                      S        2    325
         OEEXTR$(01);_      ! EXTRA 1                      S        6    327
         OECPFLAG$;_        ! COPM/ PART                   S        1    333
         OEFLAG$(01);_      ! FLAG 1                       S        1    334
         OEFLAG$(02);_      ! FLAG 2                       S        1    335
         OEAMT(01);_        ! XTRA AMT 1                   N     13.3    336
         OEAMT(02);_        ! XTRA AMT 2                   N     13.3    351
         OEJOB$;_           ! JOB NO                       S        6    366
         DOLHLD;_           ! DOL HOLD                     N      9.2    372
         DOLREL;_           ! DOL RELEASED                 N      9.2    383
         DOLSHIP;_          ! DOL SHIPPED                  N      9.2    394
         SHPRNO$;_          ! SHIPPER NO                   S       10    405
         XDACTSHP$;_         ! ACT SHIP DATE                S        6    415
         OEPVS$;_           ! PVS CODE                     S        5    421
         OEABLORD$;_        ! ABL ORDER NUMBER             S       15    426
         OEORCORD$;_        ! ORACLE ORDER NUMBER          S       15    441
         OEMPOM$;_          ! POM                          S        4    456
         OENBDT$;_          ! NOT BEFORE DATE              S        8    460
         OEPRCD$;_          ! PRI CDE                      S        1    468
         OEMKB$;_           ! ALL KB                       S        1    469
         XMSTFILL$;_         ! FILLER                       S        6    470
         "@0D0A@"           ! CR/LF                        S        2    476
!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
